- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
IdMap< GR, K >::InverseMap Class Reference

## Detailed Description

### template<typename GR, typename K>
class lemon::IdMap< GR, K >::InverseMap

The inverse map type of IdMap. The subscript operator gives back an item by its id. This type conforms to the ReadMap concept.

See Also
  inverse()

`#include <lemon/maps.h>`

## Public Member Functions
| InverseMap (const Graph &graph)
| Constructor. More...
| InverseMap (const IdMap &map)
| Constructor. More...
Item | operator[] (int id) const
| Gives back an item by its id. More...

## Constructor & Destructor Documentation

InverseMap | ( | const Graph & | graph | ) |
| inline explicit

Constructor for creating an id-to-item map.

InverseMap | ( | const IdMap & | map | ) |
| inline explicit

Constructor for creating an id-to-item map.

## Member Function Documentation

Item operator[] | ( | int | id | ) | const
| inline

Gives back an item by its id.